Subject: Buck chucks

From: "John W. Hall" <[email-masked]>
Date: Thu, 8 Jun 95 13:21:14 -0300

I have a 6 inch three jaw chuck that I just realized is a Buck, which 
I gather is a reasonably respectable make. It's labeled in script with 
what could have been of one of those electric engraving pencils. 
It's probably thirty or forty years old, and well worn. It seems to 
grab stock only at one point on each jaw, so stock rocks around. The 
scroll is badly galled, Questions: Is Buck still in business in 
Kalamazoo or elsewhere? Can this chuck be rebuilt? by the factory? By 
me? Aerospace precision isn't necessary, but I would like to get 
improved performance. Cost of a new one gets pretty stiff with 
the exchange on the Canadian Dollar and all. Thanks for any comments.
John